{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":524,"path":"api-reference/rest-apis/order_csm-api.md","title":"Order API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Order API\n\nThe Order API provides endpoints for retrieving and creating orders with order line items for the Customer Service Management application.\n\nThis API requires the Order Management \\(app-csm-order-mgmt\\) store application and is provided within the `sn_ind_tmt_orm` namespace. For information, see [Sales Customer Relationship Management](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/order-mgt-overview.md).\n\nThis API requires sn\\_csm\\_om.order\\_integrator for access, and one of the following:\n\n-   sn\\_csm\\_om.consumer\\_agent – API write access restricted to B2C orders.\n-   sn\\_csm\\_om.customer\\_agent – API write access restricted to B2B orders.\n-   sn\\_csm\\_om.order\\_admin – API write access for B2B or B2C orders.\n\nFor information on B2B and B2C orders, see [Customer Data Models for B2B2C](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/customer-service-management/customer-data-model-b2b2c.md).\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Order API – GET /sn\\_ind\\_tmt\\_orm/order/\\{id\\}\n\nRetrieves complete order details by specifying the sys\\_id or order number.\n\n### URL format\n\nVersioned URL: `/api/sn_ind_tmt_orm/{api_version}/order/{id}`\n\nDefault URL: `/api/sn_ind_tmt_orm/order/{id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id or order number \\(order\\_id\\) of the record to retrieve.Data type: String\n\nTable: Orders \\[sn\\_csm\\_om\\_order\\]\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_display\\_value\n\n</td><td>\n\nFlag that indicates whether to show the display value of the reference fields.\n\n Valid values:\n\n-   true: Show the display value of the reference fields, choice fields, and date field in the response.\n-   false: Show the actual value of the reference fields, choice fields, and date field in the response.\n\n Default: false\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"entry-200-status-code\">\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n401\n\n</td><td>\n\nThe user is not authenticated.\n\n</td></tr><tr><td>\n\n403\n\n</td><td>\n\nThe user is not authorized.-   The user does not have required roles to access the API.\n-   The user does not have authorization to read the order.\n\n This API requires sn\\_csm\\_om.order\\_integrator for access, and one of the following:\n\n-   sn\\_csm\\_om.consumer\\_agent – API write access restricted to B2C orders.\n-   sn\\_csm\\_om.customer\\_agent – API write access restricted to B2B orders.\n-   sn\\_csm\\_om.order\\_admin – API write access for B2B or B2C orders.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naccount\n\n</td><td>\n\nSys\\_id of a record located in the Accounts \\[customer\\_account\\] table. Identifies the account for B2B orders.Data type: String\n\n</td></tr><tr><td>\n\nactual\\_end\\_date\n\n</td><td>\n\nEnd date of order.Format: UTC format, yyyy-MM-dd HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nactual\\_start\\_date\n\n</td><td>\n\nStart date of order.Format: UTC format, yyyy-MM-dd HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nbilling\\_city\n\n</td><td>\n\nName of the billing city.Data type: String\n\n</td></tr><tr><td>\n\nbilling\\_country\n\n</td><td>\n\nAbbreviation of the billing country.Data type: String\n\n</td></tr><tr><td>\n\nbilling\\_state\n\n</td><td>\n\nAbbreviation of the billing state or province.Data type: String\n\n</td></tr><tr><td>\n\nbilling\\_street\n\n</td><td>\n\nBilling street address.Data type: String\n\n</td></tr><tr><td>\n\nbilling\\_zip\n\n</td><td>\n\nBilling ZIP or postal code.Data type: String\n\n</td></tr><tr><td>\n\ncomments\n\n</td><td>\n\nAdditional information for the order.Data type: String\n\n</td></tr><tr><td>\n\nconsumer\n\n</td><td>\n\nSys\\_id of a consumer record. Identifies the consumer for B2C orders.Data type: String\n\n</td></tr><tr><td>\n\ncontact\n\n</td><td>\n\nSys\\_id of the customer contact related to the account.Data type: String\n\nTable: Contacts \\[customer\\_contact\\]\n\n</td></tr><tr><td>\n\ncontract\n\n</td><td>\n\nSys\\_id of the Customer Service contract record.Data type: String\n\nTable: Contracts \\[ast\\_contract\\]\n\n</td></tr><tr><td>\n\nerror\n\n</td><td>\n\nDetails describing an error encountered during the request process.Data type: Object\n\n```\n\"error\": {\n  \"detail\": \"String\",\n  \"message\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nerror.detail\n\n</td><td>\n\nDetails of the error encountered during the request process.Data type: String\n\n</td></tr><tr><td>\n\nerror.message\n\n</td><td>\n\nMessage for the error encountered during the request process. Each error message has a corresponding description in the **detail** property.Data type: String\n\n</td></tr><tr><td>\n\nexpected\\_end\\_date\n\n</td><td>\n\nExpected end date of order.Format: UTC format, yyyy-MM-dd HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nexpected\\_start\\_date\n\n</td><td>\n\nExpected start date of order.Format: UTC format, yyyy-MM-dd HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nexternal\\_id\n\n</td><td>\n\nExternal ID representing a related record on a third party's system. Data type: String\n\n</td></tr><tr><td>\n\nexternal\\_system\n\n</td><td>\n\nName of the customer's system. Data type: String\n\n</td></tr><tr><td>\n\norder\\_category\n\n</td><td>\n\nCustomer order type.Possible values:\n\n-   product\n-   service\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_currency\n\n</td><td>\n\nCurrency code representing the currency in which the order was purchased. For example, `USD` for United States Dollars. This currency is used for all amount fields in the order and line orders. Currency codes are listed in the Currencies \\[fx\\_currency\\] table. **Note:** This property might not be available in earlier versions of Order Management.\n\n Data type: String\n\n</td></tr><tr><td>\n\norder\\_date\n\n</td><td>\n\nDate and time of order creation.Format: UTC format, yyyy-MM-dd HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_id\n\n</td><td>\n\nOrder number of the order.Data type: String\n\nTable: Orders \\[sn\\_csm\\_om\\_order\\]\n\n</td></tr><tr><td>\n\norder\\_line\\_items\n\n</td><td>\n\nRequired. List of objects that define each order line item in the order. Data type: Array\n\nRequired properties in each order line item object:\n\n-   **account** for B2B orders or **consumer** for B2C orders.\n-   **product\\_offering** –\n-   **quantity**\n-   **unit\\_of\\_measurements**\n-   **order\\_line\\_characteristics**\n\n```\n\"order_line_items\": [\n {\n   \"account\": \"String\",\n   \"action\": \"String\",\n   \"comments\": \"String\",\n   \"consumer\": \"String\",\n   \"contact\": \"String\",\n   \"delivered_quantity\": \"String\",\n   \"effective_date\": \"String\",\n   \"expiration_date\": \"String\",\n   \"external_id\": \"String\",\n   \"external_system\": \"String\",\n   \"list_price\": \"String\",\n   \"location\": \"String\",\n   \"order_line_characteristics\": [Array],\n   \"order_line_id\": \"String\",\n   \"order\": \"String\",\n   \"parent_line_item\": \"String\",\n   \"previous_product_model\": \"String\",\n   \"price_list\": \"String\",\n   \"product_offering\": \"String\",\n   \"product_specification\": \"String\",\n   \"product\": \"String\",\n   \"quantity\": \"String\",\n   \"shipping_city\": \"String\",\n   \"shipping_country\": \"String\",\n   \"shipping_state\": \"String\",\n   \"shipping_street\": \"String\",\n   \"shipping_zip\": \"String\",\n   \"short_description\": \"String\",\n   \"sku\": \"String\",\n   \"sold_product\": \"String\",\n   \"specification\": \"String\",\n   \"state\": \"String\",\n   \"status\": \"String\",\n   \"sys_class_name\": \"String\",\n   \"sys_created_by\": \"String\",\n   \"sys_created_on\": \"String\",\n   \"sys_id\": \"String\",\n   \"sys_mod_count\": \"String\",\n   \"sys_tags\": \"String\",\n   \"sys_updated_by\": \"String\",\n   \"sys_updated_on\": \"String\",\n   \"top_line_item\": \"String\",\n   \"total_price\": \"String\",\n   \"unit_of_measurement\": \"String\",\n   \"unit_price\": \"String\",\n   \"work_notes\": \"String\"\n }\n]\n```\n\nTable: Order Line Items \\[sn\\_csm\\_om\\_order\\_line\\_item\\]\n\n</td></tr><tr><td>\n\norder\\_line\\_items\n\n</td><td>\n\nList of objects that define each order line item in the order. Data type: Array of Objects\n\n```\n\"order_line_items\": [\n {\n   \"account\": \"String\",\n   \"action\": \"String\",\n   \"comments\": \"String\",\n   \"consumer\": \"String\",\n   \"contact\": \"String\",\n   \"delivered_quantity\": \"String\",\n   \"effective_date\": \"String\",\n   \"expiration_date\": \"String\",\n   \"external_id\": \"String\",\n   \"external_system\": \"String\",\n   \"list_price\": \"String\",\n   \"location\": \"String\",\n   \"order_line_characteristics\": [Array],\n   \"order_line_id\": \"String\",\n   \"order\": \"String\",\n   \"parent_line_item\": \"String\",\n   \"previous_product_model\": \"String\",\n   \"price_list\": \"String\",\n   \"product_offering\": \"String\",\n   \"product_specification\": \"String\",\n   \"product\": \"String\",\n   \"quantity\": \"String\",\n   \"shipping_city\": \"String\",\n   \"shipping_country\": \"String\",\n   \"shipping_state\": \"String\",\n   \"shipping_street\": \"String\",\n   \"shipping_zip\": \"String\",\n   \"short_description\": \"String\",\n   \"sku\": \"String\",\n   \"sold_product\": \"String\",\n   \"specification\": \"String\",\n   \"state\": \"String\",\n   \"status\": \"String\",\n   \"sys_class_name\": \"String\",\n   \"sys_created_by\": \"String\",\n   \"sys_created_on\": \"String\",\n   \"sys_id\": \"String\",\n   \"sys_mod_count\": \"String\",\n   \"sys_tags\": \"String\",\n   \"sys_updated_by\": \"String\",\n   \"sys_updated_on\": \"String\",\n   \"top_line_item\": \"String\",\n   \"total_price\": \"String\",\n   \"unit_of_measurement\": \"String\",\n   \"unit_price\": \"String\",\n   \"work_notes\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\norder\\_line\\_items.account\n\n</td><td>\n\nRequired for B2B orders. Sys\\_id of the business account assigned to this order line item. Located in the Accounts \\[customer\\_account\\] table. The consumer property is required for B2C orders.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.account\n\n</td><td>\n\nSys\\_id of the business account assigned to this order line item. Located in the Accounts \\[customer\\_account\\] table. Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.action\n\n</td><td>\n\nAction that determines how the order line is added to the order.Possible values:\n\n-   add\n-   change\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.comments\n\n</td><td>\n\nAdditional information for the order line item.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.consumer\n\n</td><td>\n\nSys\\_id of the consumer assigned to this order line item. Located in the Consumers \\[csm\\_consumer\\] table. Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.contact\n\n</td><td>\n\nContact sys\\_id related to the account.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.delivered\\_quantity\n\n</td><td>\n\nNumber of items in the order delivered.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.effective\\_date\n\n</td><td>\n\nEffective date of order line.Format: yyyy-MM-dd HH:mm:ss in UTC time zone\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.expiration\\_date\n\n</td><td>\n\nExpiration date of order line.Format: yyyy-MM-dd HH:mm:ss in UTC time zone\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.external\\_id\n\n</td><td>\n\nExternal ID of the order line item.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.external\\_system\n\n</td><td>\n\nExternal sys\\_id of the order line item.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.list\\_price\n\n</td><td>\n\nList price of the product offering per unit.**Note:** This property might not be available in earlier versions of Order Management.\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.location\n\n</td><td>\n\nSys\\_id of a shipping location record.Data type: String\n\nTable: Locations \\[cmn\\_location\\]\n\n</td></tr><tr><td>\n\norder\\_line\\_items.order\n\n</td><td>\n\nThis line item's order number as listed in the Orders \\[sn\\_csm\\_om\\_order\\] table.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics\n\n</td><td>\n\nList of objects defining associated order line characteristics. Order line characteristics are located in the Order Line Characteristics \\[sn\\_csm\\_om\\_order\\_characteristic\\_value\\] table. Data type: Array of Objects\n\n```\n\"order_line_characteristics\": [\n {\n  \"characteristic\": \"String\",\n  \"characteristic_option\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\norder\\_line\\_items.​order\\_line\\_characteristics.​characteristic\\_option\n\n</td><td>\n\nProduct characteristic unique option that triggers the exclusion rule. For example, product size or color.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics. characteristic\\_option\\_value\n\n</td><td>\n\nValue of a characteristic option.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics. external\\_id\n\n</td><td>\n\nExternal ID of the order line characteristic.Data type: Object\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics.number\n\n</td><td>\n\nOrder line characteristic number .Data type: String\n\nTable: Order Line Characteristics \\[sn\\_csm\\_om\\_order\\_characteristic\\_value\\]\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics. order\\_line\\_item\n\n</td><td>\n\nSys\\_id of this characteristic's order line item.Data type: String\n\nTable: Order Line Items \\[sn\\_csm\\_om\\_order\\_line\\_item\\]\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics. previous\\_characteristic\\_option\\_value\n\n</td><td>\n\nName of the previous characteristic option associated with product model in the order line.Data type: Object\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics.specification\n\n</td><td>\n\nService specification that is associated with the service order characteristic.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics. sys\\_class\\_name\n\n</td><td>\n\nSystem name of the table in which this order line characteristic record is located.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_characteristics. sys\\_created\\_by\n\n</td><td>\n\nSystem name of the user who created this record.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics. sys\\_created\\_on\n\n</td><td>\n\nDate and time at which the record was originally created.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics. sys\\_domain\n\n</td><td>\n\nDomain scope in which the order record is accessible. For example, global.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics. sys\\_domain\\_path\n\n</td><td>\n\nDomain path for the record.Data type: String\n\nDefault: / \\(global\\)\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics. sys\\_id\n\n</td><td>\n\nSys\\_id of the order recordData type: String\n\nTable: Order Line Characteristics \\[sn\\_csm\\_om\\_order\\_characteristic\\_value\\]\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics. sys\\_mod\\_count\n\n</td><td>\n\nNumber of times this record has been modified.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics. sys\\_tags\n\n</td><td>\n\nSystem tags for the content.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics. sys\\_updated\\_by\n\n</td><td>\n\nSystem name of the user who most recently updated this record.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics. sys\\_updated\\_on\n\n</td><td>\n\nDate and time at which the record was most recently updated.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items. order\\_line\\_characteristics.type\n\n</td><td>\n\nType of order line characteristic.Possible values:\n\n-   product\n-   service\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.order\\_line\\_id\n\n</td><td>\n\nOrder number of the order associated with this order line item.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.parent\\_line\\_item\n\n</td><td>\n\nIf applicable, identifies a parent line item to this line item.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.previous\\_product\\_model\n\n</td><td>\n\nSys\\_id of the product model for the product listed prior to this item in the order line.Data type: String\n\nTable: Product Models \\[cmdb\\_model\\]\n\n</td></tr><tr><td>\n\norder\\_line\\_items.price\\_list\n\n</td><td>\n\nSys\\_id of a price list record in the Price Lists \\[sn\\_csm\\_pricing\\_price\\_list\\] table.**Note:** This property might not be available in earlier versions of Order Management.\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.product\n\n</td><td>\n\nSys\\_id of the productData type: String\n\nTable: Product Models \\[cmdb\\_model\\]\n\n</td></tr><tr><td>\n\norder\\_line\\_items.product\\_offering\n\n</td><td>\n\nSys\\_id of the product listed in the Product Offerings \\[sn\\_prd\\_pm\\_product\\_offering\\] table. Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.product\n\n</td><td>\n\nSys\\_id of the product model listed in the Product Models \\[cmdb\\_model\\] table. Must be provided with matching order line item Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.product\\_specification\n\n</td><td>\n\nSys\\_id of the product specification associated with the order line item. Listed in the Product Specifications \\[sn\\_prd\\_pm\\_product\\_specification\\] table. Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.quantity\n\n</td><td>\n\nNumber of product models ordered. Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.shipping\\_city\n\n</td><td>\n\nName of the destination city.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.shipping\\_country\n\n</td><td>\n\nAbbreviation of the destination country.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.shipping\\_state\n\n</td><td>\n\nAbbreviation of the destination state or province.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.shipping\\_street\n\n</td><td>\n\nDestination street address.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.shipping\\_zip\n\n</td><td>\n\nDestination ZIP or postal code.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.short\\_description\n\n</td><td>\n\nShort description of the order line item.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.sku\n\n</td><td>\n\nNumber that is generated by a supplier that uniquely identifies a product that is sold by that supplier.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.sold\\_product\n\n</td><td>\n\nSys\\_id of an install base sold product record.Data type: String\n\nTable: Sold Products \\[sn\\_install\\_base\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\norder\\_line\\_items.specification\n\n</td><td>\n\nSpecification of order line item.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.state\n\n</td><td>\n\nState of order line. For example, draft, new, in\\_progress, or completed.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.status\n\n</td><td>\n\nStatus of the order line item.Possible values:\n\n-   failure\n-   success\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.sys\\_class\\_name\n\n</td><td>\n\nSystem name of the table in which this order line item record is located.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.sys\\_created\\_by\n\n</td><td>\n\nSystem name of the user who created this record.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.sys\\_created\\_on\n\n</td><td>\n\nDate and time at which the record was originally created.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.sys\\_domain\n\n</td><td>\n\nDomain scope in which the order record is accessible. For example, global.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.sys\\_domain\\_path\n\n</td><td>\n\nDomain path for the record.Data type: String\n\nDefault: / \\(global\\)\n\n</td></tr><tr><td>\n\norder\\_line\\_items.sys\\_id\n\n</td><td>\n\nSys\\_id of the line item recordData type: String\n\nTable: Order Line Items \\[sn\\_csm\\_om\\_order\\_line\\_item\\]\n\n</td></tr><tr><td>\n\norder\\_line\\_items.sys\\_mod\\_count\n\n</td><td>\n\nNumber of times this record has been modified.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.sys\\_tags\n\n</td><td>\n\nSystem tags for the content.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.sys\\_updated\\_by\n\n</td><td>\n\nSystem name of the user who most recently updated this record.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.sys\\_updated\\_on\n\n</td><td>\n\nDate and time at which the record was most recently updated.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.top\\_line\\_item\n\n</td><td>\n\nTotal price of all order line items accumulated in this order.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.total\\_price\n\n</td><td>\n\nTotal price of order line. The API does not calculate the total based on net price and quantity.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.unit\\_of\\_measurement\n\n</td><td>\n\nSys\\_id for the ordered unit of measure listed in the Unit of Measures \\[sn\\_prd\\_pm\\_uom\\] table. **Note:** This property might not be available in earlier versions of Order Management.\n\n Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.​unit\\_of\\_measurement\n\n</td><td>\n\nRequired. Sys\\_id for the ordered unit of measure listed in the Unit of Measures \\[sn\\_prd\\_pm\\_uom\\] table. **Note:** This property might not be available in earlier versions of Order Management.\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.unit\\_price\n\n</td><td>\n\nNet price of the product offering per unit.Data type: String\n\nTable: Currency Instances \\[fx\\_currency\\_instance\\]\n\n</td></tr><tr><td>\n\norder\\_line\\_items.work\\_notes\n\n</td><td>\n\nFree-form internal work notes for the order line item.Data type: String\n\n</td></tr><tr><td>\n\norder\\_type\n\n</td><td>\n\nOrder action that determines how the order is added.Possible values:\n\n-   add\n-   change\n\nData type: String\n\n</td></tr><tr><td>\n\npartner\n\n</td><td>\n\nFor B2B orders, sys\\_id of the associated partner record for an account.Data type: String\n\nTable: Accounts \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\npartner\\_contact\n\n</td><td>\n\nFor B2B orders, sys\\_id of the primary contact of the partner for the partner account.Data type: String\n\nTable: Contacts \\[customer\\_contact\\]\n\n</td></tr><tr><td>\n\npayment\\_ref\\_id\n\n</td><td>\n\nUnique identifier of the payment. For example, check number.Data type: String\n\n</td></tr><tr><td>\n\nprice\\_list\n\n</td><td>\n\nSys\\_id of the associated price list record. The price is not calculated based on net price and quantity by this API.**Note:** This property might not be available in earlier versions of Order Management.\n\nData type: String\n\nTable: Price Lists \\[sn\\_csm\\_pricing\\_price\\_list\\]\n\n</td></tr><tr><td>\n\nquote\\_id\n\n</td><td>\n\nUnique ID for the order price quote.Data type: String\n\n</td></tr><tr><td>\n\nsame\\_as\\_shipping\\_address\n\n</td><td>\n\nFlag that indicates whether the address of the purchaser is the same as the shipping address.Valid values:\n\n-   true: Address of the purchaser is the same as the shipping address.\n-   false: Address of the purchaser is different from the shipping address.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nshipping\\_city\n\n</td><td>\n\nName of the destination city.Data type: String\n\n</td></tr><tr><td>\n\nshipping\\_country\n\n</td><td>\n\nAbbreviation of the destination country.Data type: String\n\n</td></tr><tr><td>\n\nshipping\\_location\n\n</td><td>\n\nSys\\_id of a shipping location record.Data type: String\n\nTable: Locations \\[cmn\\_location\\]\n\n</td></tr><tr><td>\n\nshipping\\_state\n\n</td><td>\n\nAbbreviation of the destination state or province.Data type: String\n\n</td></tr><tr><td>\n\nshipping\\_street\n\n</td><td>\n\nDestination street address.Data type: String\n\n</td></tr><tr><td>\n\nshipping\\_zip\n\n</td><td>\n\nDestination ZIP or postal code.Data type: String\n\n</td></tr><tr><td>\n\nshort\\_description\n\n</td><td>\n\nShort description of the order.Data type: String\n\n</td></tr><tr><td>\n\nspecial\\_instructions\n\n</td><td>\n\nSpecial instructions for the order.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the order. For example, new, in\\_progress, or completed.Data type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nStatus of the order.Possible values:\n\n-   success\n-   failure\n\n Data type: String\n\n</td></tr><tr><td>\n\nsys\\_class\\_name\n\n</td><td>\n\nSystem name of the table in which this order record is located.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_by\n\n</td><td>\n\nSystem name of the user who created this record.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_on\n\n</td><td>\n\nDate and time at which the record was originally created.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_domain\n\n</td><td>\n\nDomain scope in which the order record is accessible. For example, global.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_domain\\_path\n\n</td><td>\n\nDomain path for the record.Data type: String\n\nDefault: / \\(global\\)\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the order record.Data type: String\n\nTable: Orders \\[sn\\_csm\\_om\\_order\\]\n\n</td></tr><tr><td>\n\nsys\\_mod\\_count\n\n</td><td>\n\nNumber of times this record has been modified.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_tags\n\n</td><td>\n\nSystem tags for the content.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_by\n\n</td><td>\n\nSystem name of the user who most recently updated this record.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on\n\n</td><td>\n\nDate and time at which the record was most recently updated.Data type: String\n\n</td></tr><tr><td>\n\ntotal\\_amount\n\n</td><td>\n\nTotal cost for the entire order.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following example shows how to get an order by its order number.\n\n```\ncurl \"https://instance.service-now.com/api/sn_ind_tmt_orm/order/ORD0001034\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nResponse:\n\n```\n{\n  \"result\": {\n    \"actual_start_date\": \"\",\n    \"payment_ref_id\": null,\n    \"shipping_city\": null,\n    \"channel\": \"api\",\n    \"expected_end_date\": \"\",\n    \"sys_updated_on\": \"2022-03-30 21:59:41\",\n    \"price_list\": null,\n    \"sys_updated_by\": \"username\",\n    \"sys_created_on\": \"2022-03-30 21:59:41\",\n    \"contact\": \"96d0461553ab70101aaeddeeff7b120b\",\n    \"sys_domain\": \"global\",\n    \"state\": \"draft\",\n    \"order_type\": \"add\",\n    \"sys_created_by\": \"eseruser\",\n    \"shipping_street\": null,\n    \"special_instructions\": null,\n    \"contract\": null,\n    \"quote_id\": null,\n    \"expected_start_date\": \"\",\n    \"sys_domain_path\": \"/\",\n    \"billing_street\": null,\n    \"billing_city\": null,\n    \"total_amount\": \"2000\",\n    \"order_id\": \"ORD0001034\",\n    \"shipping_country\": \"USA\",\n    \"status\": \"new\",\n    \"short_description\": null,\n    \"shipping_state\": null,\n    \"external_id\": null,\n    \"sys_class_name\": \"sn_csm_om_order\",\n    \"sys_id\": \"24fdf5bd75eec510f877f30c01a15aa0\",\n    \"shipping_zip\": null,\n    \"billing_state\": null,\n    \"billing_zip\": null,\n    \"same_as_shipping_address\": \"0\",\n    \"consumer\": null,\n    \"comments\": \"\",\n    \"order_currency\": \"USD\",\n    \"billing_country\": \"USA\",\n    \"sys_mod_count\": \"1\",\n    \"billing_location\": null,\n    \"shipping_location\": null,\n    \"sys_tags\": \"\",\n    \"order_date\": \"2022-03-30 21:59:41\",\n    \"order_category\": \"product\",\n    \"actual_end_date\": \"\",\n    \"partner\": null,\n    \"partner_contact\": null,\n    \"account\": \"c480021553ab70101aaeddeeff7b120f\",\n    \"external_system\": null,\n    \"order_line_items\": [\n      {\n        \"short_description\": null,\n        \"shipping_state\": \"CA\",\n        \"shipping_city\": \"Santa Clara\",\n        \"product_offering\": \"2d4376760f740110603bf634a7767e46\",\n        \"external_id\": null,\n        \"sys_updated_on\": \"2022-03-30 21:59:41\",\n        \"expiration_date\": \"\",\n        \"sys_class_name\": \"sn_csm_om_order_line_item\",\n        \"sold_product\": null,\n        \"sys_id\": \"ecfdf5bd75eec510f877f30c01a15aa3\",\n        \"unit_of_measurement\": \"cb2795d553020110286eddeeff7b12ff\",\n        \"price_list\": null,\n        \"sys_updated_by\": \"username\",\n        \"shipping_zip\": \"94560\",\n        \"sys_created_on\": \"2022-03-30 21:59:41\",\n        \"contact\": \"96d0461553ab70101aaeddeeff7b120b\",\n        \"sys_domain\": \"global\",\n        \"effective_date\": \"\",\n        \"action\": \"add\",\n        \"order_line_id\": \"ORDL0001060\",\n        \"state\": \"draft\",\n        \"sku\": null,\n        \"consumer\": null,\n        \"sys_created_by\": \"username\",\n        \"order\": \"24fdf5bd75eec510f877f30c01a15aa0\",\n        \"previous_product_model\": null,\n        \"shipping_street\": \"222 Star St\",\n        \"product\": \"561dba7e0f740110603bf634a7767ebe\",\n        \"quantity\": \"1\",\n        \"comments\": \"\",\n        \"total_price\": \"2000\",\n        \"parent_line_item\": null,\n        \"sys_mod_count\": \"1\",\n        \"specification\": \"104f66720f740110603bf634a7767e7d\",\n        \"list_price\": \"2000\",\n        \"unit_price\": \"2000\",\n        \"sys_domain_path\": \"/\",\n        \"sys_tags\": \"\",\n        \"delivered_quantity\": null,\n        \"top_line_item\": null,\n        \"product_specification\": \"104f66720f740110603bf634a7767e7d\",\n        \"location\": null,\n        \"work_notes\": \"\",\n        \"shipping_country\": \"USA\",\n        \"account\": \"c480021553ab70101aaeddeeff7b120f\",\n        \"external_system\": null,\n        \"status\": \"new\",\n        \"order_line_characteristics\": [\n          {\n            \"characteristic_option\": \"1c6ceabe0f340110603bf634a7767e97\",\n            \"sys_mod_count\": \"0\",\n            \"specification\": \"104f66720f740110603bf634a7767e7d\",\n            \"external_id\": null,\n            \"sys_updated_on\": \"2022-03-30 21:59:41\",\n            \"type\": \"1\",\n            \"sys_domain_path\": \"/\",\n            \"sys_tags\": \"\",\n            \"characteristic\": \"4e76f1b20fb00110603bf634a7767ee3\",\n            \"sys_class_name\": \"sn_csm_om_order_characteristic_value\",\n            \"previous_characteristic_option_value\": null,\n            \"number\": \"ORC000001041\",\n            \"sys_id\": \"acfd79bd75eec510f877f30c01a15a94\",\n            \"sys_updated_by\": \"username\",\n            \"sys_created_on\": \"2022-03-30 21:59:41\",\n            \"sys_domain\": \"global\",\n            \"characteristic_option_value\": \"1.2 cu\",\n            \"order_line_item\": \"ecfdf5bd75eec510f877f30c01a15aa3\",\n            \"sys_created_by\": \"user\"\n          },\n          {\n            \"characteristic_option\": \"2d0d66fe0f340110603bf634a7767ef6\",\n            \"sys_mod_count\": \"0\",\n            \"specification\": \"104f66720f740110603bf634a7767e7d\",\n            \"external_id\": null,\n            \"sys_updated_on\": \"2022-03-30 21:59:41\",\n            \"type\": \"1\",\n            \"sys_domain_path\": \"/\",\n            \"sys_tags\": \"\",\n            \"characteristic\": \"11e639b20fb00110603bf634a7767e17\",\n            \"sys_class_name\": \"sn_csm_om_order_characteristic_value\",\n            \"previous_characteristic_option_value\": null,\n            \"number\": \"ORC000001042\",\n            \"sys_id\": \"e0fd79bd75eec510f877f30c01a15a95\",\n            \"sys_updated_by\": \"username\",\n            \"sys_created_on\": \"2022-03-30 21:59:41\",\n            \"sys_domain\": \"global\",\n            \"characteristic_option_value\": \"Stainless steel\",\n            \"order_line_item\": \"ecfdf5bd75eec510f877f30c01a15aa3\",\n            \"sys_created_by\": \"user\"\n          }\n        ]\n      }\n    ]\n  }\n}\n```\n\n## Order API – POST /sn\\_ind\\_tmt\\_orm/order\n\nCreates a new order with line items and characteristics.\n\nOrders with line items are defined using request body parameters. The following properties are required in most versions of Order Management:\n\n-   **account** for B2B orders or **consumer** for B2C orders.\n    -   **account** – Sys\\_id of a record located in the Accounts \\[customer\\_account\\] table.\n    -   **consumer** – Sys\\_id of a consumer record.\n-   **order\\_currency** – Currency code representing the currency in which the order was purchased. For example, `USD` for United States Dollars. This currency is used for all amount fields in the order and line orders. Currency codes are listed in the Currencies \\[fx\\_currency\\] table.\n-   **order\\_line\\_items** – List of objects that define each order line item in the order. Required properties in each order line item object:\n    -   **account** for B2B orders or **consumer** for B2C orders.\n        -   **account** – Sys\\_id of the business account assigned to this order line item. Located in the Accounts \\[customer\\_account\\] table.\n        -   **consumer** – Sys\\_id of the consumer assigned to this order line item. Located in the Consumers \\[csm\\_consumer\\] table.\n    -   **order\\_line\\_characteristics** – List of objects defining associated order line characteristics. Order line characteristics are located in the Order Line Characteristics \\[sn\\_csm\\_om\\_order\\_characteristic\\_value\\] table.\n    -   **product\\_offering** – Sys\\_id of the product listed in the Product Offerings \\[sn\\_prd\\_pm\\_product\\_offering\\] table.\n    -   **quantity** – Number of product models ordered.\n    -   **unit\\_of\\_measurements** – Sys\\_id for the ordered unit of measure listed in the Unit of Measures \\[sn\\_prd\\_pm\\_uom\\] table.\n\nThe Request body parameters table contains more details.\n\n### URL format\n\nVersioned URL: `/api/sn_ind_tmt_orm/{api_version}/order`\n\nDefault URL: `/api/sn_ind_tmt_orm/order`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naccount\n\n</td><td>\n\nRequired for B2B orders. Sys\\_id of a record located in the Accounts \\[customer\\_account\\] table. The consumer property is required for B2C orders.Data type: String\n\n</td></tr><tr><td>\n\nactual\\_end\\_date\n\n</td><td>\n\nEnd date of order.Format: UTC format, yyyy-MM-dd HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nactual\\_start\\_date\n\n</td><td>\n\nStart date of order.Format: UTC format, yyyy-MM-dd HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nbilling\\_city\n\n</td><td>\n\nName of the billing city.Data type: String\n\n</td></tr><tr><td>\n\nbilling\\_country\n\n</td><td>\n\nAbbreviation of the billing country.Data type: String\n\n</td></tr><tr><td>\n\nbilling\\_state\n\n</td><td>\n\nAbbreviation of the billing state or province.Data type: String\n\n</td></tr><tr><td>\n\nbilling\\_street\n\n</td><td>\n\nBilling street address.Data type: String\n\n</td></tr><tr><td>\n\nbilling\\_zip\n\n</td><td>\n\nBilling ZIP or postal code.Data type: String\n\n</td></tr><tr><td>\n\ncomments\n\n</td><td>\n\nAdditional information for the order.Data type: String\n\n</td></tr><tr><td>\n\nconsumer\n\n</td><td>\n\nRequired for B2C orders. Sys\\_id of a consumer record. The account property is required for B2B orders.Data type: String\n\nTable: Consumers \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\ncontact\n\n</td><td>\n\nSys\\_id of the customer contact related to the account.Data type: String\n\nTable: Contacts \\[customer\\_contact\\]\n\n</td></tr><tr><td>\n\ncontract\n\n</td><td>\n\nSys\\_id of the Customer Service contract record.Data type: String\n\nTable: Contracts \\[ast\\_contract\\]\n\n</td></tr><tr><td>\n\nexpected\\_end\\_date\n\n</td><td>\n\nExpected end date of order.Format: UTC format, yyyy-MM-dd HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nexpected\\_start\\_date\n\n</td><td>\n\nExpected start date of order.Format: UTC format, yyyy-MM-dd HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nexternal\\_id\n\n</td><td>\n\nExternal ID representing a related record on a third party's system. Data type: String\n\n</td></tr><tr><td>\n\nexternal\\_system\n\n</td><td>\n\nName of the customer's system. Data type: String\n\n</td></tr><tr><td>\n\norder\\_category\n\n</td><td>\n\nCustomer order type.Possible values:\n\n-   product\n-   service\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_currency\n\n</td><td>\n\nRequired. Currency code representing the currency in which the order was purchased. For example, `USD` for United States Dollars. This currency is used for all amount fields in the order and line orders. Currency codes are listed in the Currencies \\[fx\\_currency\\] table. **Note:** This property might not be available in earlier versions of Order Management.\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_date\n\n</td><td>\n\nDate and time of order creation.Format: UTC format, yyyy-MM-dd HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items\n\n</td><td>\n\nRequired. List of objects that define each order line item in the order. Data type: Array\n\nRequired properties in each order line item object:\n\n-   **account** for B2B orders or **consumer** for B2C orders.\n-   **product\\_offering** –\n-   **quantity**\n-   **unit\\_of\\_measurements**\n-   **order\\_line\\_characteristics**\n\n```\n\"order_line_items\": [\n {\n   \"account\": \"String\",\n   \"action\": \"String\",\n   \"comments\": \"String\",\n   \"consumer\": \"String\",\n   \"contact\": \"String\",\n   \"delivered_quantity\": \"String\",\n   \"effective_date\": \"String\",\n   \"expiration_date\": \"String\",\n   \"external_id\": \"String\",\n   \"external_system\": \"String\",\n   \"list_price\": \"String\",\n   \"location\": \"String\",\n   \"order_line_characteristics\": [Array],\n   \"order_line_id\": \"String\",\n   \"order\": \"String\",\n   \"parent_line_item\": \"String\",\n   \"previous_product_model\": \"String\",\n   \"price_list\": \"String\",\n   \"product_offering\": \"String\",\n   \"product_specification\": \"String\",\n   \"product\": \"String\",\n   \"quantity\": \"String\",\n   \"shipping_city\": \"String\",\n   \"shipping_country\": \"String\",\n   \"shipping_state\": \"String\",\n   \"shipping_street\": \"String\",\n   \"shipping_zip\": \"String\",\n   \"short_description\": \"String\",\n   \"sku\": \"String\",\n   \"sold_product\": \"String\",\n   \"specification\": \"String\",\n   \"state\": \"String\",\n   \"status\": \"String\",\n   \"sys_class_name\": \"String\",\n   \"sys_created_by\": \"String\",\n   \"sys_created_on\": \"String\",\n   \"sys_id\": \"String\",\n   \"sys_mod_count\": \"String\",\n   \"sys_tags\": \"String\",\n   \"sys_updated_by\": \"String\",\n   \"sys_updated_on\": \"String\",\n   \"top_line_item\": \"String\",\n   \"total_price\": \"String\",\n   \"unit_of_measurement\": \"String\",\n   \"unit_price\": \"String\",\n   \"work_notes\": \"String\"\n }\n]\n```\n\nTable: Order Line Items \\[sn\\_csm\\_om\\_order\\_line\\_item\\]\n\n</td></tr><tr><td>\n\norder\\_line\\_items.account\n\n</td><td>\n\nRequired for B2B orders. Sys\\_id of the business account assigned to this order line item. Located in the Accounts \\[customer\\_account\\] table. The consumer property is required for B2C orders.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.action\n\n</td><td>\n\nAction that determines how the order line is added to the order.Possible values:\n\n-   add\n-   change\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.comments\n\n</td><td>\n\nAdditional information for the order line item.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.consumer\n\n</td><td>\n\nRequired for B2C orders. Sys\\_id of the consumer assigned to this order line item. Located in the Consumers \\[csm\\_consumer\\] table. The account property is required for B2B orders.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.contact\n\n</td><td>\n\nContact sys\\_id related to the account.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.delivered\\_quantity\n\n</td><td>\n\nNumber of items in the order delivered.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.effective\\_date\n\n</td><td>\n\nEffective date of order line.Format: yyyy-MM-dd HH:mm:ss in UTC time zone\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.expiration\\_date\n\n</td><td>\n\nExpiration date of order line.Format: yyyy-MM-dd HH:mm:ss in UTC time zone\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.external\\_id\n\n</td><td>\n\nExternal ID of the order line item.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.external\\_system\n\n</td><td>\n\nExternal sys\\_id of the order line item.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.list\\_price\n\n</td><td>\n\nList price of the product offering per unit.**Note:** This property might not be available in earlier versions of Order Management.\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.​order\\_line\\_characteristics\n\n</td><td>\n\nRequired. List of objects defining associated order line characteristics. Order line characteristics are located in the Order Line Characteristics \\[sn\\_csm\\_om\\_order\\_characteristic\\_value\\] table. In the most recent release, if the offering is associated with product specification, then order characteristics must be included to determine the product model.\n\nIn earlier releases, this property was only required for simple orders with the **order\\_line\\_items.product\\_specification** property set.\n\nData type: Array of Objects\n\n```\n\"order_line_characteristics\": [\n {\n  \"characteristic\": \"String\",\n  \"characteristic_option\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\norder\\_line\\_items.​order\\_line\\_characteristics.​characteristic\n\n</td><td>\n\nName of the characteristic associated with the product model. For example, Dishwasher Size.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.​order\\_line\\_characteristics.​characteristic\\_option\n\n</td><td>\n\nProduct characteristic unique option that triggers the exclusion rule. For example, product size or color.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.price\\_list\n\n</td><td>\n\nSys\\_id of a price list record in the Price Lists \\[sn\\_csm\\_pricing\\_price\\_list\\] table.**Note:** This property might not be available in earlier versions of Order Management.\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.product\n\n</td><td>\n\nSys\\_id of the product model listed in the Product Models \\[cmdb\\_model\\] table. If included in the request body, the associated order line characteristics must match. Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.product\\_offering\n\n</td><td>\n\nRequired. Sys\\_id of the product listed in the Product Offerings \\[sn\\_prd\\_pm\\_product\\_offering\\] table. If the offering is associated with the product model, the product model is determined by the order. If the offering is associated with product specification, then order characteristics must be included to determine the product model.\n\n Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.​product\\_specification\n\n</td><td>\n\nRequired. Sys\\_id of the product specification associated with the order line item. Listed in the Product Specifications \\[sn\\_prd\\_pm\\_product\\_specification\\] table. **Note:** This property was not required in earlier versions of Order Management.\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.quantity\n\n</td><td>\n\nRequired. Number of product models ordered. **Note:** This property was required in earlier versions of Order Management.\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.shipping\\_city\n\n</td><td>\n\nName of the destination city.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.shipping\\_country\n\n</td><td>\n\nAbbreviation of the destination country.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.shipping\\_state\n\n</td><td>\n\nAbbreviation of the destination state or province.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.shipping\\_street\n\n</td><td>\n\nDestination street address.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.shipping\\_zip\n\n</td><td>\n\nDestination ZIP or postal code.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.short\\_description\n\n</td><td>\n\nShort description of the order line item.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.sku\n\n</td><td>\n\nNumber that is generated by a supplier that uniquely identifies a product that is sold by that supplier.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.sold\\_product\n\n</td><td>\n\nSys\\_id of an install base sold product record.Data type: String\n\nTable: Sold Products \\[sn\\_install\\_base\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\norder\\_line\\_items.specification\n\n</td><td>\n\nSpecification of order line item.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.state\n\n</td><td>\n\nState of order line. For example, draft, new, in\\_progress, or completed.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.total\\_price\n\n</td><td>\n\nTotal price of order line. The total price is not calculated based on net price and quantity by this API.Data type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.​unit\\_of\\_measurement\n\n</td><td>\n\nRequired. Sys\\_id for the ordered unit of measure listed in the Unit of Measures \\[sn\\_prd\\_pm\\_uom\\] table. **Note:** This property might not be available in earlier versions of Order Management.\n\nData type: String\n\n</td></tr><tr><td>\n\norder\\_line\\_items.unit\\_price\n\n</td><td>\n\nNet price of the product offering per unit.Data type: String\n\nTable: Currency Instances \\[fx\\_currency\\_instance\\]\n\n</td></tr><tr><td>\n\norder\\_line\\_items.work\\_notes\n\n</td><td>\n\nFree-form internal work notes for the order line item.Data type: String\n\n</td></tr><tr><td>\n\norder\\_type\n\n</td><td>\n\nOrder action that determines how the order is added.Possible values:\n\n-   add\n-   change\n\nData type: String\n\n</td></tr><tr><td>\n\npartner\n\n</td><td>\n\nFor B2B orders, sys\\_id of the associated partner record for an account.Data type: String\n\nTable: Accounts \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\npartner\\_contact\n\n</td><td>\n\nFor B2B orders, sys\\_id of the primary contact of the partner for the partner account.Data type: String\n\nTable: Contacts \\[customer\\_contact\\]\n\n</td></tr><tr><td>\n\nprice\\_list\n\n</td><td>\n\nSys\\_id of the associated price list record. The price is not calculated based on net price and quantity by this API.**Note:** This property might not be available in earlier versions of Order Management.\n\nData type: String\n\nTable: Price Lists \\[sn\\_csm\\_pricing\\_price\\_list\\]\n\n</td></tr><tr><td>\n\nquote\\_id\n\n</td><td>\n\nUnique ID for the order price quote.Data type: String\n\n</td></tr><tr><td>\n\nshipping\\_city\n\n</td><td>\n\nName of the destination city.Data type: String\n\n</td></tr><tr><td>\n\nshipping\\_country\n\n</td><td>\n\nAbbreviation of the destination country.Data type: String\n\n</td></tr><tr><td>\n\nshipping\\_state\n\n</td><td>\n\nAbbreviation of the destination state or province.Data type: String\n\n</td></tr><tr><td>\n\nshipping\\_street\n\n</td><td>\n\nDestination street address.Data type: String\n\n</td></tr><tr><td>\n\nshipping\\_zip\n\n</td><td>\n\nDestination ZIP or postal code.Data type: String\n\n</td></tr><tr><td>\n\nshort\\_description\n\n</td><td>\n\nShort description of the order.Data type: String\n\n</td></tr><tr><td>\n\nspecial\\_instructions\n\n</td><td>\n\nSpecial instructions for the order.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the order. For example, new, in\\_progress, or completed.Data type: String\n\n</td></tr><tr><td>\n\ntotal\\_amount\n\n</td><td>\n\nTotal cost for the entire order.Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"entry-200-status-code\">\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad request.Payload is not in the expected format.\n\n</td></tr><tr><td>\n\n401\n\n</td><td>\n\nThe user is not authenticated.\n\n</td></tr><tr><td>\n\n403\n\n</td><td>\n\nThe user is not authorized.-   The user does not have required roles to access the API.\n-   The user does not have authorization to read the order.\n\n This API requires sn\\_csm\\_om.order\\_integrator for access, and one of the following:\n\n-   sn\\_csm\\_om.consumer\\_agent – API write access restricted to B2C orders.\n-   sn\\_csm\\_om.customer\\_agent – API write access restricted to B2B orders.\n-   sn\\_csm\\_om.order\\_admin – API write access for B2B or B2C orders.\n\n</td></tr><tr><td>\n\n500\n\n</td><td>\n\nInternal server error. One or more validations have failed.Possible issues:\n\n-   **Account** or **consumer** parameter is missing. These fields are mandatory on header and item.\n-   **Account**/**contact** and **consumer** parameters have been passed. These parameters cannot be passed together.\n-   Choice parameters: Invalid choice values passed.\n-   Quantity parameter: Invalid value.\n-   Invalid reference field.\n-   Missing mandatory fields.\n-   Invalid date and time format.\n-   Start date is greater than end date.\n-   Invalid characteristic.\n-   Invalid characteristic option.\n-   More than one product model was found for provided characteristics.\n-   Product model not found for the provided characteristics.\n-   User does not have access to create an order.\n-   B2B order contains consumer order lines.\n-   B2C order contains account, contact, partner, or partner contact parameters.\n-   Amount fields currency does not match the order currency.\n-   **Order\\_line\\_characteristics** were passed for an order line with **product\\_offering** associated with product model.\n-   The unit of measurement specified for an offer type=configuration does not belong to the allowed units of measure defined on the product offering.\n-   No characteristics were passed for an offer type of configuration when the product offering is expecting configuration.\n-   Unable to create orders that have a bundle item plus simple configurations on the order line.\n-   Passed parameters contain characteristics for a bundle offering.\n-   Unable to create parent order line and/or child order line. Only parent bundle items are valid in bundle offering calls.\n-   The specified unit\\_of\\_measurement record for a bundle offering contains a value other than \"EACH\".\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nerror\n\n</td><td>\n\nDetails describing an error encountered during the request process.Data type: Object\n\n```\n\"error\": {\n  \"detail\": \"String\",\n  \"message\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nerror.detail\n\n</td><td>\n\nDetails of the error encountered during the request process.Data type: String\n\n</td></tr><tr><td>\n\nerror.message\n\n</td><td>\n\nMessage for the error encountered during the request process. Each error message has a corresponding description in the **detail** property.Data type: String\n\n</td></tr><tr><td>\n\norder\\_id\n\n</td><td>\n\nOrder number of the order.Data type: String\n\nTable: Orders \\[sn\\_csm\\_om\\_order\\]\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nFailure message included in addition to the error object.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the order record.Data type: String\n\nTable: Orders \\[sn\\_csm\\_om\\_order\\]\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following example shows how to create a single-item order for a stainless steel microwave.\n\n```\ncurl \"https://instance.service-now.com/api/sn_ind_tmt_orm/order\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n\\\"account\\\": \\\"c480021553ab70101aaeddeeff7b120f\\\",\n\\\"contact\\\":\\\"96d0461553ab70101aaeddeeff7b120b\\\",\n\\\"order_currency\\\": \\\"USD\\\",\n\\\"order_line_items\\\": [\n{\n\\\"account\\\": \\\"c480021553ab70101aaeddeeff7b120f\\\",\n\\\"action\\\": \\\"add\\\",\n\\\"contact\\\": \\\"96d0461553ab70101aaeddeeff7b120b\\\",\n\\\"list_price\\\": \\\"2000\\\",\n\\\"order_line_characteristics\\\": [\n{\n\\\"characteristic\\\" : \\\"Solana color\\\",\n\\\"characteristic_option\\\" : \\\"Stainless steel\\\"\n},\n{\n\\\"characteristic\\\" :\\\"Microvawe Capacity\\\",\n\\\"characteristic_option\\\" : \\\"1.2 cu\\\"\n}\n],\n\\\"product_offering\\\": \\\"2d4376760f740110603bf634a7767e46\\\",\n\\\"quantity\\\": \\\"1\\\",\n\\\"shipping_city\\\": \\\"Santa Clara\\\",\n\\\"shipping_country\\\": \\\"USA\\\",\n\\\"shipping_state\\\": \\\"CA\\\",\n\\\"shipping_street\\\": \\\"222 Star St\\\",\n\\\"shipping_zip\\\": \\\"94560\\\",\n\\\"state\\\": \\\"draft\\\",\n\\\"status\\\": \\\"new\\\",\n\\\"total_price\\\": \\\"2000\\\",\n\\\"unit_of_measurement\\\": \\\"cb2795d553020110286eddeeff7b12ff\\\",\n\\\"unit_price\\\": \\\"2000\\\"\n}\n]\n}\" \\\n--user 'user':'password'\n```\n\nResponse:\n\n```\n{\n  \"result\": {\n    \"sys_id\": \"24fdf5bd75eec510f877f30c01a15aa0\",\n    \"order_id\": \"ORD0001034\"\n  }\n}\n```\n\n"}}